For the complete documentation index, see llms.txt. This page is also available as Markdown.

Document validation Start

Start the morphological validation process for identity documents by sending the document images, country and type of document to analyze.

Endpoint

POST /verify/documentValidation/start

Headers

Name
Type
Required
Description

x-api-key

string

Yes

Access authorization API Key.

family

string

No

Value: Onboarding. Required with the Tracking service.

All calls to the Endpoints for Tracking with Identity Platform must contain the header family.

Request body

Content-Type: application/json

Parameters

Parameter
Type
Required
Description

country

string

Yes

Country code ISO 3166-1 alpha-3.

idType

string

Yes

Document type provided. Possible values: PASSPORT, DRIVING_LICENSE, ID_CARD, VISA

frontsideImage

string

Yes

Image encoded in Base64, open or tokenized, on the front side of the document.

backsideImage

string

No

Image encoded in Base64, open or tokenized, on the back side of the document. Optional for single-sided documents such as PASSPORT.

merchantIdScanReference

string

No

Custom reference for the operation. Maximum length: 100 characters.

tracking

object

No

Object representing the required tracking information.

tracking.extraData

string

No

Token generated by the SDK Mobile/Web. It contains tokenized tracking information with the Platform.

tracking.operationId

string

No

Operation identifier generated by the SDK Mobile/Web.

Request example

Responses

200 Success

Response parameters

Parameter
Type
Description

timestamp

string

UTC timestamp of the response in format ISO 8601.

scanReference

string

Reference number for each scan.

type

string

⚠️ Value deprecated. Will be removed in future versions.

Response example

400 Bad Request

401 Unauthorized

403 Forbidden

502 Bad Gateway

504 Gateway Timeout

Last updated